<?php
// Set up Feed Me, Seymour information
$bavotasan_theme_data = get_theme_data(TEMPLATEPATH.'/style.css');
define('THEME_NAME', $bavotasan_theme_data['Name']);
define('THEME_AUTHOR', $bavotasan_theme_data['Author']);
define('THEME_HOMEPAGE', $bavotasan_theme_data['URI']);
define('THEME_VERSION', trim($bavotasan_theme_data['Version']));
define('THEME_URL', get_template_directory_uri());
define('THEME_FILE', "snowblind");

// Make theme available for translation
// Translations can be filed in the /languages/ directory
load_theme_textdomain(THEME_FILE, TEMPLATEPATH . '/languages');

$locale = get_locale();
$locale_file = TEMPLATEPATH . "/languages/$locale.php";
if ( is_readable( $locale_file ) )
	require_once( $locale_file );

$snowblind_options = array (
	array(	"name" => __("Site Width", "snowblind"),
			"desc" => __("Select the width of your site.", "snowblind"),
			"id" => "site_width",
			"default" => 800,
			"type" => "site"),
	
	array(  "name" => __("First Sidebar Width", "snowblind"),
			"desc" => __("What would you like your first sidebar width to be?", "snowblind"),
            "id" => "sidebar_width1",
			"default" => 180,
            "type" => "first-sidebar"),
			
	array(  "name" => __("Second Sidebar Width", "snowblind"),
			"desc" => __("What would you like your second sidebar width to be?", "snowblind"),
            "id" => "sidebar_width2",
			"default" => 0,
            "type" => "second-sidebar"),

	array(  "name" => __("Sidebar Location", "snowblind"),
			"desc" => __("Where would you like your sidebars located?", "snowblind"),
            "id" => "sidebar_location",
			"default" => 1,
            "type" => "location"),
			
	array(  "name" => __("Header Logo", "snowblind"),
			"desc" => __("If you would like to display a logo in the header, please enter the file path above.", "snowblind"),
            "id" => "logo_header",
            "type" => "logo"),	
			
	array(  "name" => __("Logo or Blog Name Location", "snowblind"),
			"desc" => __("Where do you want your Logo or Blog Name located?", "snowblind"),
            "id" => "logo_location",
			"default" => "fl",
            "type" => "logo-location"),	

	array(  "name" => __("Tag Line", "snowblind"),
			"desc" => __("Would you like to display a tag line beneath your blog name/logo?", "snowblind"),
            "id" => "tag_line",
			"default" => "1",
            "type" => "tag-line"),
	
	array(  "name" => __("Extended Footer", "snowblind"),
			"desc" => __("Would you like an extended footer?", "snowblind"),
            "id" => "extended_footer",
			"default" => 1,
            "type" => "footer"),		
	        
		array(  "name" => __("Site Description", "snowblind"),
			"desc" => __("Add meta tag description (Excerpt used on single posts and pages)", "snowblind"),
            "id" => "site_description",
            "type" => "site-description"),

	array(  "name" => __("Keywords", "snowblind"),
			"desc" => __("Add meta tag keywords, separate by comma (Tags are used on single posts)", "snowblind"),
            "id" => "keywords",
            "type" => "keywords"),
				
	array(  "name" => __("Google Analytics", "snowblind"),
			"desc" => __("Add your Google Analytics code", "snowblind"),
            "id" => "google_analytics",
            "type" => "google"),
			
	array(  "name" => __("Content or Excerpt", "snowblind"),
			"desc" => __("Would you like to display the content or the excerpt on your front page?", "snowblind"),
            "id" => "content_excerpt",
			"default" => 1,
            "type" => "content-excerpt")								
);

// setting up the $snowblind_values variable
$snowblind_values = get_option(THEME_FILE);
//delete_option(THEME_FILE);

function get_index($array, $index) {
  return isset($array[$index]) ? $array[$index] : null;
}

// CALL THEME OPTIONIS
function theme_option($var) {
	global $snowblind_values;
	$option = get_index($snowblind_values, $var);
	return $option;
}

// Set all default options
if(!$snowblind_values) {
	foreach ($snowblind_options as $default) {
		if(isset($default['id']) && isset($default['default'])) {
			$setdefaultvalues1[ $default['id'] ] = $default['default'];
		}
	}
	update_option(THEME_FILE, $setdefaultvalues1);
}

// Setting up the theme options CSS
$snowblind_values = get_option(THEME_FILE);
if($snowblind_values['site_width']) {
	$snowblind_site = $snowblind_values['site_width'];
	$snowblind_sidebar = $snowblind_values['sidebar_width1'];	
	$snowblind_secondsidebar =  $snowblind_values['sidebar_width2'];
	if(empty($snowblind_secondsidebar)) {
		$snowblind_content =  $snowblind_site - $snowblind_sidebar - 74;
	} else {
		$snowblind_content =  $snowblind_site - $snowblind_sidebar - $snowblind_secondsidebar - 104;		
	}
} else {
	$snowblind_site = 800;
	$snowblind_sidebar = 180;
	$snowblind_sidewidget = 174;
	$snowblind_content = 560;
}

// Set the content width based on the theme's design and stylesheet.
if ( ! isset( $content_width ) )
	$content_width = $snowblind_content;

function pbt_header_css() {
	global $snowblind_site, $snowblind_sidebar, $snowblind_secondsidebar, $snowblind_sidewidget, $snowblind_sidewidget2, $snowblind_content;
?>
<style type="text/css">
body { width: <?php echo $snowblind_site; ?>px; }
#sidebar { width: <?php echo $snowblind_sidebar; ?>px; }
<?php if(!empty($snowblind_secondsidebar)) { ?>
#secondsidebar { width: <?php echo $snowblind_secondsidebar; ?>px; }
<?php } ?>
#leftcontent, .commentlist { width: <?php echo $snowblind_content; ?>px; }
#leftcontent img { max-width: <?php echo $snowblind_content; ?>px; height: auto; }
<?php
if($snowblind_site==800) {
	if(theme_option('extended_footer')!='1') { echo '#footerbar { background: url('.get_bloginfo('template_url').'/images/800bottom.jpg) no-repeat top center #333; height: 63px; }'."\n"; } else { echo '#footerbar { background: url('.get_bloginfo('template_url').'/images/800bottom-alt.jpg) no-repeat top #111; }'."\n"; }
} else {
	if(theme_option('extended_footer')!='1') { echo '#footerbar { background: url('.get_bloginfo('template_url').'/images/1024bottom.jpg) no-repeat top center #333; height: 63px; }'."\n"; } else { echo '#footerbar { background: url('.get_bloginfo('template_url').'/images/1024bottom-alt.jpg) no-repeat top #111; }'."\n"; }
}
?>
</style>
	<?php
}

// Ajax save function
function save_theme_callback() {
	global $wpdb; // this is how you get access to the database

	$savevalues = array();
	
	$snowblind_options = explode("&", $_POST['option']);

	foreach ($snowblind_options as $value) {
		$key_value = explode("=",$value);
		$key = urldecode($key_value[0]);
		$value = urldecode($key_value[1]);
		$savevalues[ $key ] = $value; 
	}
	update_option(THEME_FILE, $savevalues);
	die();
}
add_action('wp_ajax_save_theme_options', 'save_theme_callback');

function mytheme_add_admin() {
	wp_register_script('effects_js', THEME_URL.'/admin/js/effects.js', array( 'jquery' , 'jquery-ui-core' , 'jquery-ui-tabs' ),'',true);
	
	add_menu_page(THEME_FILE, THEME_NAME, 'manage_options', THEME_FILE, 'pbt_options', THEME_URL.'/admin/images/icon.png');
	$themelayout = add_submenu_page(THEME_FILE, THEME_NAME." - Layout", __("Layout Options", "snowblind"), 'manage_options', THEME_FILE, 'pbt_options');
	add_action( "admin_print_scripts-$themelayout", 'pbt_admin_css' );
}
// initialize the theme
add_action('admin_menu', 'mytheme_add_admin'); 

// load the js and css on theme options page
function pbt_admin_css() {
	echo '<link rel="stylesheet" href="'.THEME_URL.'/admin/css/admin-style.css" />'."\n";
	wp_enqueue_script('effects_js');
}

// Setting up the layout options page tabs
function pbt_options() { 
?>
<div id="arturowrap" class="wrap">
    <h2><?php echo THEME_NAME." ".__("Layout Options", "snowblind"); ?></h2>
    <?php echo '<div id="message" class="updated fade" style="display: none;"><p><strong>'.THEME_NAME.' '.__("Options Saved", "snowblind").'</strong></p></div>'."\n"; ?>
    <div id="poststuff" class="metabox-holder has-right-sidebar">
        <div id="side-info-column" class="inner-sidebar thinner">
            <a href="http://themes.bavotasan.com" target="_blank"><img src="<?php echo THEME_URL; ?>/admin/images/brand.png" class="bavota" alt="Themes by bavotasan.com" width="225" height="84" /></a>
            <a href="javascript:{}" id="savetheme"></a><div class="ajaxsave"></div>
            <br class="clear" />
            <div class="postbox thinner" id="themeresources">
            	<div class="handlediv" title="Click to toggle"><br /></div><h3 class='hndle'><span><?php _e("Resources", "snowblind"); ?></span></h3>
                <div class="inside">
                    <ul>
                        <li><a href="http://themes.bavotasan.com" title="Themes by bavotasan.com">Themes by bavotasan.com</a></li>
                        <li><a href="http://support.bavotasan.com" title="<?php _e('Support Forum', "snowblind"); ?>"><?php _e('Support Forum', "snowblind"); ?></a></li>
                        <li><a href="http://themes.bavotasan.com/affiliates" title="<?php _e('Affiliates Program', "snowblind"); ?>"><?php _e('Affiliates Program', "snowblind"); ?></a></li>
                        <li><a href="http://bavotasan.com" title="bavotasan.com">bavotasan.com</a></li>
                    </ul>
 
                </div>
            </div>   
            <br class="clear" />
            <div class="postbox thinner" id="themeresources">
            	<div class="handlediv" title="Click to toggle"><br /></div><h3 class='hndle'><span><?php _e("Donate", "snowblind"); ?></span></h3>
                <div class="inside">
                    <p class="donate"><?php printf(__("A lot of hard work went into creating %s. If you would like to show your support, please use the donate link below.", "snowblind"), "<strong>".THEME_NAME."</strong>"); ?><p>
                <form action="https://www.paypal.com/cgi-bin/webscr" method="post">
                <input type="hidden" name="cmd" value="_s-xclick">
                <input type="hidden" name="hosted_button_id" value="5745952">
                <input type="image" src="https://www.paypal.com/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
                <img alt="" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1">
                </form>    
                </div>
            </div> 
        </div> <!-- end of #side-info-column -->
	<form method="post" action="" id="themeform" class="themesbybavotasan">
        <div id="post-body" class="has-sidebar">
            <div id="post-body-content" class="has-sidebar-content thinmain">
                <div id='normal-sortables' class='meta-box-sortables'>
                    <div id="wrapper" class="arturo">
                        <div id="tabbed">
                        <ul class="tabs">
						<?php
                        $menuPages = array(
							__('Info', "snowblind") =>'pbt_info', 
							__('Main', "snowblind") =>'pbt_layout_options', 
							__('Header &amp; Footer', "snowblind") =>'pbt_header_options', 
							__('Sidebars', "snowblind") =>'pbt_sidebars_options', 
							__('SEO', "snowblind") =>'pbt_seo_options',
							__('Premium Themes', "snowblind") =>'pbt_upgrade'
						);
                        $x = 1;
                        foreach($menuPages as $menuPage => $pagefunction) {
                            echo '<li><a href="#tabbed-'.$x.'">'.$menuPage.'</a></li>';
                            $x++;
                        }
                        ?>
                        </ul>
                        </div>
                        <?php
                        $x = 1;
                        foreach($menuPages as $menuPage => $pagefunction) {
                            echo '<div class="tab-content" id="tabbed-'.$x.'">';
                            if($x>1 && $x<6) echo '<p class="openclose"><a href="#" class="openall">'.__("Open All", "snowblind").' [+]</a><a href="#" class="closeall">'.__("Close All", "snowblind").' [-]</a></p>';
                            $pagefunction();
                            echo '</div>';
                            $x++;
                        }	
                        ?>
                    </div> <!-- end of #wrapper -->
        		</div> <!-- end of #normal-sortables -->
        	</div> <!-- end of #post-body-content -->
        </div> <!-- end of #post-body -->
    </div> <!-- end of #poststuff -->
    </form>
</div> <!-- end of #wrap -->
<?php
}

////////////////////////
//
// Default input boxes
//
///////////////////////


// TEXTAREA
function textAreaBox($rows = 4, $valueName, $valueDesc, $valueID) {
?>
<div class="postbox">
	<div class="handlediv" title="Click to toggle"><br /></div><h3 class='hndle'><span><?php echo $valueName; ?></span><small> - <?php echo $valueDesc; ?></small></h3>
	<div class="inside">
		<textarea name="<?php echo $valueID; ?>" cols="60" rows="<?php echo $rows; ?>"><?php echo stripslashes(theme_option($valueID)); ?></textarea>
		<br class="clear" />
	</div>
</div>
<?php
}

// INPUT TEXT
function textBox($size = 50, $valueName, $valueDesc, $valueID, $label = null, $maxlength = null, $align = null, $color = false) {
?>
<div class="postbox">
    <div class="handlediv" title="Click to toggle"><br /></div><h3 class='hndle'><span><?php echo $valueName; ?></span><small><?php if($valueDesc) echo " - ".$valueDesc; ?></small></h3>
    <div class="inside">
        <input type="text" name="<?php echo $valueID; ?>" size="<?php echo $size; ?>"<?php if($maxlength) echo ' maxlength="'.$maxlength.'"'; ?><?php if($align) echo ' class="'.$align.'"'; ?> value="<?php echo theme_option($valueID); ?>" /><?php if($label) echo '<label style="margin: 9px 0 0 5px;">'.$label.'</label>'; ?>
    <br class="clear" />
    </div>
</div>
<?php
}

// RADIO BUTTON
function radioBox($numof = 2, $valueName, $valueDesc, $valueID, $labels = null, $defaults = null) {
	if(!$labels) $labels = array( __('Yes', "snowblind"), __('No', "snowblind") );
	if(!$defaults) $defaults = array(1,2);
?>
<div class="postbox">
    <div class="handlediv" title="Click to toggle"><br /></div><h3 class='hndle'><span><?php echo $valueName; ?></span><small> - <?php echo $valueDesc; ?></small></h3>
    <div class="inside">
	<?php 
	$i = 0;
    for($x=1;$x<=$numof;$x++) {
		echo '<input  name="'.$valueID.'" type="radio" value="'.$defaults[$i].'"';
		if(theme_option($valueID) == $defaults[$i]) { echo " checked=\"checked\""; }
        echo ' />&nbsp;<label>'.$labels[$i].'</label>&nbsp;&nbsp;';
    	$i++;
    }
    ?>
    <br class="clear" />
    </div>
</div>
<?php
}


#####################
##  the info page  ##
#####################

function pbt_info() { 
?>
    <img src="<?php echo THEME_URL; ?>/screenshot.png" alt="<?php echo THEME_NAME; ?>" class="theme" width="200" height="150" />
    <?php
    echo '<p><ul><li><strong>'.__('Version', "snowblind").':</strong> '.THEME_VERSION.'</li><li><strong>'.__('Author', "snowblind").':</strong> <a href="http://bavotasan.com/">'.THEME_AUTHOR.'</a></li><li><strong>'.__('Built by', "snowblind").':</strong> <a href="http://themes.bavotasan.com/">Themes by bavotasan.com</a></li><li><strong>'.__('Theme home page', "snowblind").':</strong> <a href="'.THEME_HOMEPAGE.'">'.THEME_NAME.'</a></li></ul></p>'; 
    echo '<p>';
	printf(__("Thank you for downloading %s. Hope you enjoy using it!</p>", "snowblind"), '<strong>'.THEME_NAME.'</strong>');
	echo '</p><p>';
	_e("There are tons of layout possibilities available with this theme, as well as a bunch of cool features that will surely help you get your site looking and working it's best.", "snowblind");
	echo '</p>';
    echo '<p><a href="http://support.bavotasan.com/topic/how-to-customize-magazine-basic">'; _e('How to Customize a Basic Theme', "snowblind");
	echo '</a></p><p>';
    echo '<p><a href="http://themes.bavotasan.com/manual/">'; _e('Instruction Manual', "snowblind");
	echo '</a></p><p>';	
	echo '</p><p>';
    _e('If you have any questions, comments, or if you encounter a bug, please visit our <a href="http://support.bavotasan.com/">Support Forum</a> and let us know.', "snowblind"); 
	echo '</p>';
}

########################
##  the upgrade page  ##
########################

function pbt_upgrade() {
?>
    <div class="upgrade">
	    <div class="imgbox">
        	<a href="http://themes.bavotasan.com/our-themes/premium-themes/moderno/" title="Moderno" class="img-wrap"><img width="250" height="160" src="http://themes.bavotasan.com/wp-content/uploads/2010/03/moderno-250x160.jpg" class="attachment-category wp-post-image" alt="" title="moderno" /></a> <a href="http://demos.bavotasan.com/?wptheme=Moderno" class="link" title="<?php _e('View Demo', "snowblind"); ?>"><?php _e('View Demo', "snowblind"); ?></a><a href="https://www.e-junkie.com/ecom/gb.php?i=wpt-mod&amp;c=single&amp;cl=93121" target="ejejcsingle" class="link buy"><?php _e('Buy Now', "snowblind"); ?></a> <a href="http://themes.bavotasan.com/our-themes/premium-themes/moderno/" class="link" title="<?php _e('More Info', "snowblind"); ?>"><?php _e('More Info', "snowblind"); ?></a>
        </div>
	    <div class="imgbox">
        	<a href="http://themes.bavotasan.com/our-themes/premium-themes/magazine-premium/" title="Magazine Premium" class="img-wrap"><img width="250" height="160" src="http://themes.bavotasan.com/wp-content/uploads/2010/01/magpremfinal-250x160.jpg" class="attachment-category wp-post-image" alt="" title="magpremfinal" /></a> <a href="http://demos.bavotasan.com/?wptheme=Magazine Premium" class="link" title="<?php _e('View Demo', "snowblind"); ?>"><?php _e('View Demo', "snowblind"); ?></a><a href="https://www.e-junkie.com/ecom/gb.php?i=wpt-map&amp;c=single&amp;cl=93121" target="ejejcsingle" class="link buy"><?php _e('Buy Now', "snowblind"); ?></a> <a href="http://themes.bavotasan.com/our-themes/premium-themes/magazine-premium/" class="link" title="<?php _e('More Info', "snowblind"); ?>"><?php _e('More Info', "snowblind"); ?></a>
        </div>    
	    <div class="imgbox">
        	<a href="http://themes.bavotasan.com/our-themes/premium-themes/stationery/" title="Stationery" class="img-wrap"><img width="250" height="160" src="http://themes.bavotasan.com/wp-content/uploads/2009/08/stationery-250x160.jpg" class="attachment-category wp-post-image" alt="" title="stationery" /></a> <a href="http://demos.bavotasan.com/?wptheme=Stationery" class="link" title="<?php _e('View Demo', "snowblind"); ?>"><?php _e('View Demo', "snowblind"); ?></a><a href="https://www.e-junkie.com/ecom/gb.php?i=wpt-sta&amp;c=single&amp;cl=93121" target="ejejcsingle" class="link buy"><?php _e('Buy Now', "snowblind"); ?></a> <a href="http://themes.bavotasan.com/our-themes/premium-themes/stationery/" class="link" title="<?php _e('More Info', "snowblind"); ?>"><?php _e('More Info', "snowblind"); ?></a>
        </div>
        <div class="imgbox">
        	<a href="http://themes.bavotasan.com/our-themes/premium-themes/illustrious/" title="Illustrious" class="img-wrap"><img width="250" height="160" src="http://themes.bavotasan.com/wp-content/uploads/2009/10/illustrious-250x160.jpg" class="attachment-category wp-post-image" alt="" title="illustrious" /></a> <a href="http://demos.bavotasan.com/?wptheme=Illustrious" class="link" title="<?php _e('View Demo', "snowblind"); ?>"><?php _e('View Demo', "snowblind"); ?></a><a href="https://www.e-junkie.com/ecom/gb.php?i=wpt-ill&amp;c=single&amp;cl=93121" target="ejejcsingle" class="link buy"><?php _e('Buy Now', "snowblind"); ?></a> <a href="http://themes.bavotasan.com/our-themes/premium-themes/illustrious/" class="link" title="<?php _e('More Info', "snowblind"); ?>"><?php _e('More Info', "snowblind"); ?></a>
        </div>
	</div>
    <br class="clear" />
<?php
}

###############################
##  the layout options page  ##
###############################

function pbt_layout_options() {
	global $snowblind_options;

	foreach ($snowblind_options as $value) { 
		switch ( get_index($value,'type') ) {
	
			case "site":
				radioBox(2, $value['name'], $value['desc'], $value['id'], array( __('800px', "snowblind"), __('1024px', "snowblind")), array(800,1024));			
			break;

			case "content-excerpt":
				radioBox(2, $value['name'], $value['desc'], $value['id'], array( __('Excerpt', "snowblind"), __('Content', "snowblind")));			
			break;
		} 
	}
}


###############################
##  the header options page  ##
###############################

function pbt_header_options() {
    global $snowblind_options;

	foreach ($snowblind_options as $value) { 
		switch ( get_index($value,'type') ) {
	
			case "logo":
			?>
			<div class="postbox">
				<div class="handlediv" title="Click to toggle"><br /></div><h3 class='hndle'><span><?php echo $value['name']; ?></span><small> - <?php echo $value['desc']; ?></small></h3>
				<div class="inside">
					<input type="text" size="50" name="<?php echo $value['id']; ?>" value="<?php echo theme_option($value['id']); ?>" />
					<?php 
					echo '<div class="headerlogo"></div>';
					?> 
				<br class="clear" />
				</div>
			</div>
			<?php
			break;
			
			case "logo-location":
			?>
			<div class="postbox">
				<div class="handlediv" title="Click to toggle"><br /></div><h3 class='hndle'><span><?php echo $value['name']; ?></span><small> - <?php echo $value['desc']; ?></small></h3>
				<div class="inside">
					<table>
						<tr>
							<td style="padding-right: 15px;">
								<img src="<?php echo THEME_URL; ?>/admin/images/logoleft.png" alt="" />
							</td>
							<td style="padding-right: 15px;">
								<img src="<?php echo THEME_URL; ?>/admin/images/logoright.png" alt="" />
							</td>
							<td style="padding-right: 15px;">
								<img src="<?php echo THEME_URL; ?>/admin/images/logomiddle.png" alt="" />
							</td>
						</tr>
						<tr>
							<td align="center" style="padding-right: 15px;">
								<input  name="<?php echo $value['id']; ?>" type="radio" value="fl"<?php if(theme_option($value['id']) == "fl") { echo " checked=\"checked\""; } ?> />
							</td>
							<td align="center" style="padding-right: 15px;">
								<input  name="<?php echo $value['id']; ?>" type="radio" value="fr"<?php if(theme_option($value['id']) == "fr") { echo " checked=\"checked\""; } ?> />
							</td>
							<td align="center" style="padding-right: 15px;">
								<input  name="<?php echo $value['id']; ?>" type="radio" value="aligncenter"<?php if(theme_option($value['id']) == "aligncenter") { echo " checked=\"checked\""; } ?> />
							</td>
						</tr>
					</table>
					<br class="clear" />
					</div>
			 </div>
			<?php break;								

			case "tag-line":
				radioBox(2, $value['name'], $value['desc'], $value['id']);
			break;
		}
	}	
}

#################################
##  the sidebars options page  ##
#################################

function pbt_sidebars_options() {
	global $snowblind_options;

	foreach ($snowblind_options as $value) { 
		switch ( get_index($value,'type') ) {
				
			case "first-sidebar":
				radioBox(2, $value['name'], $value['desc'], $value['id'], array(__("180px", "snowblind"), __("300px", "snowblind")), array(180,300));			
			break;
			   
			case "second-sidebar":
				radioBox(3, $value['name'], $value['desc'], $value['id'], array(__("180px", "snowblind"), __("300px", "snowblind"), __("None", "snowblind")), array(180,300,0));			
			break;			   
			   
			case "location":
			?>
			<div class="postbox">
				<div class="handlediv" title="Click to toggle"><br /></div><h3 class='hndle'><span><?php echo $value['name']; ?></span><small> - <?php echo $value['desc']; ?></small></h3>
				<div class="inside">
					<div id="oneSidebar">
                        <table>
                            <tr>
                                <td style="padding-right: 15px;">
                                    <img src="<?php echo THEME_URL; ?>/admin/images/oneleft.png" alt="One Left" />
                                </td>
                                <td style="padding-right: 15px;">
                                    <img src="<?php echo THEME_URL; ?>/admin/images/oneright.png" alt="One Right" />
                                </td>
                            </tr>
                            <tr>
                                <td align="center" style="padding-right: 15px;">
                                    <input  name="<?php echo $value['id']; ?>" type="radio" value="1"<?php if(theme_option($value['id']) == "1") { echo " checked=\"checked\""; } ?> />
                                </td>
                                <td align="center" style="padding-right: 15px;">
                                    <input  name="<?php echo $value['id']; ?>" type="radio" value="2"<?php if(theme_option($value['id']) == "2") { echo " checked=\"checked\""; } ?> />
                                </td>
                            </tr>
                        </table>
					</div>
					<div id="twoSidebar">
                        <table>
                            <tr>
                                <td style="padding-right: 15px;">
                                    <img src="<?php echo THEME_URL; ?>/admin/images/twoleft.png" alt="" />
                                </td>
                                <td style="padding-right: 15px;">
                                    <img src="<?php echo THEME_URL; ?>/admin/images/tworight.png" alt="" />
                                </td>
                                <td style="padding-right: 15px;">
                                    <img src="<?php echo THEME_URL; ?>/admin/images/twoseparate.png" alt="" />
                                </td>
                            </tr>
                            <tr>
                                <td align="center" style="padding-right: 15px;">
                                    <input  name="<?php echo $value['id']; ?>" type="radio" value="3"<?php if(theme_option($value['id']) == "3") { echo ' checked="checked"'; } ?> />
                                </td>
                                <td align="center" style="padding-right: 15px;">
                                    <input  name="<?php echo $value['id']; ?>" type="radio" value="4"<?php if(theme_option($value['id']) == "4") { echo ' checked="checked"'; } ?> />
                                </td>
                                <td align="center" style="padding-right: 15px;">
                                    <input  name="<?php echo $value['id']; ?>" type="radio" value="5"<?php if(theme_option($value['id']) == "5") { echo ' checked="checked"'; } ?> />
                                </td>
                            </tr>
                        </table>
                    </div>
                    <p class="locerror"></p>
                    <br class="clear" />
				</div>
			</div>
			<?php break;
								
			case "footer":
				radioBox(2, $value['name'], $value['desc'], $value['id']);			
			break;
		} 
	}
}

############################
##  the seo options page  ##
############################

function pbt_seo_options() {
    global $snowblind_options;

	foreach ($snowblind_options as $value) { 
		switch ( get_index($value,'type') ) {
	
			case "site-description":
				textAreaBox(4, $value['name'], $value['desc'], $value['id']);
			break;
	
			case "keywords":
				textAreaBox(4, $value['name'], $value['desc'], $value['id']);
			break;
	
			case "google":
				textAreaBox(6, $value['name'], $value['desc'], $value['id']);
			break;
		}
	}
}

function pbt_widgets_init() {
	// include the twitter widget
	include(TEMPLATEPATH.'/widgets/widget_twitter.php'); 
	
	// Initiating the sidebars
	if (function_exists("register_sidebar")) {
		register_sidebar(array(
			'name' => __('First Sidebar', "snowblind"),
			'before_widget' => '<div id="%1$s" class="side-widget %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h3>',
			'after_title' => '</h3>',
		));
		
		if (theme_option('sidebar_width2')) {
			register_sidebar(array(
				'name' => __('Second Sidebar', "snowblind"),
				'before_widget' => '<div id="%1$s" class="side-widget %2$s">',
				'after_widget' => '</div>',
				'before_title' => '<h3>',
				'after_title' => '</h3>',
			));
		}
		
		if (theme_option('extended_footer') == "1") {
			register_sidebar(array(
				'name' => __('Extended Footer', "snowblind"),
				'before_widget' => '<div id="%1$s" class="bottom-widget %2$s">',
				'after_widget' => '</div>',
				'before_title' => '<h4>',
				'after_title' => '</h4>',
			));
		}
	}
}
add_action( 'widgets_init', 'pbt_widgets_init' );

// Tags for keywords
function csv_tags() {
    $posttags = get_the_tags();
 	$csv_tags = '';
    if($posttags) {
		foreach((array)$posttags as $tag) {
			$csv_tags .= $tag->name . ',';
		}
	}
    echo '<meta name="keywords" content="'.$csv_tags.theme_option('keywords').'" />';
}

// Meta description
function metaDesc() {
	$content = apply_filters('the_content_rss', strip_tags(get_the_content()));
	$content = preg_replace('/\[.+\]/','', $content);
	$chars = array("", "\n", "\r", "chr(13)",  "\t", "\0", "\x0B");
	$content = htmlentities(str_replace($chars, " ", $content));
	if(empty($content)) {
		$content = htmlentities(theme_option('site_description'));
	}
	if (strlen($content) < 155) {
		echo $content;
	} else {
		$desc = substr($content,0,155);
		echo $desc."...";
	}
}

// Theme excerpts
function theme_excerpt($limit = 55, $readmore = false) {
	if($readmore) {
		$link = '<br /><a href="'.get_permalink().'" class="more-link">'.__("Read more &raquo;", "snowblind").'</a>';
	}
	
	$excerpt = explode(' ', get_the_excerpt(), $limit);
	if (count($excerpt)>=$limit) {
		array_pop($excerpt);
		$excerpt = implode(" ",$excerpt).'...'.isset($link);
	} else {
		$excerpt = implode(" ",$excerpt).isset($link);
	}	
	$excerpt = preg_replace('`\[[^\]]*\]`','',$excerpt);
	echo '<p>'.$excerpt.'</p>';
}

// Theme contents
function theme_content($readmore) {
	$content = get_the_content($readmore);
	$content = preg_replace("/<img[^>]+\>/i", "", $content); 
	$content = preg_replace('/\[.+\]/','', $content);
	$content = apply_filters('the_content', $content);
	$content = str_replace(']]>', ']]&gt;', $content);
	echo $content;
}

// image grabber function
function resize($w,$h,$class='alignleft',$showlink=true) {
	global $more, $post;
	$title = the_title_attribute('echo=0');
	if($showlink) {
		$link = "<a href='".get_permalink()."' title='$title'>";
		$linkend = "</a>";
	} else {
		$link ="";
		$linkend="";
	}
	$more = 1;
	$content = get_the_content();
	$pattern = '/<img[^>]+src[\\s=\'"]';
	$pattern .= '+([^"\'>\\s]+)/is';
	$more = 0;
	if(preg_match($pattern,$content,$match)) {
		$theImage =  "$link<img src=\"$match[1]\" class=\"$class\" alt=\"$title\" width=\"$w\" height=\"$h\" />$linkend\n\n";
		return $theImage;
	}
}

function popularPosts($num) {
    global $wpdb;

    $posts = $wpdb->get_results("SELECT comment_count, ID, post_title FROM $wpdb->posts ORDER BY comment_count DESC LIMIT 0 , $num");

    foreach ($posts as $post) {
        setup_postdata($post);
        $id = $post->ID;
        $title = $post->post_title;
        $count = $post->comment_count;
		$popular = '';
        if ($count != 0) {
            $popular .= '<li>';
            $popular .= '<a href="' . get_permalink($id) . '" title="' . $title . '">' . $title . '</a> ';
            $popular .= '</li>';
        }
    }
    return $popular;
}

// Comments
function mytheme_comment($comment, $args, $depth) {
	$GLOBALS['comment'] = $comment; ?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
	<div id="comment-<?php comment_ID(); ?>">
        <div class="comment-avatar">
        	<?php echo get_avatar( $comment, 54 ); ?>
        </div>     
        <div class="comment-author">
        	<?php echo get_comment_author_link()." ";
        	printf(__('on %1$s at %2$s', "snowblind"), get_comment_date(),get_comment_time()); 
			edit_comment_link(__('(Edit)', "snowblind"),'  ','');
			?>
        </div>
        <div class="comment-text">
	        <?php if ($comment->comment_approved == '0') { _e('<em>Your comment is awaiting moderation.</em>', "snowblind"); } ?>
        	<?php comment_text() ?>
        </div>
        <?php if($args['max_depth']!=$depth && comments_open()) { ?>
        <div class="reply">
        	<?php comment_reply_link(array_merge($args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
        </div>
        <?php } ?>
	</div>
<?php
}

### Function: Page Navigation: Boxed Style Paging
function pagination($before = '', $after = '') {
	global $wpdb, $wp_query;
	$pagenavi_options = array();
	$pagenavi_options['pages_text'] = __('Page %CURRENT_PAGE% of %TOTAL_PAGES%',"snowblind");
	$pagenavi_options['current_text'] = '%PAGE_NUMBER%';
	$pagenavi_options['page_text'] = '%PAGE_NUMBER%';
	$pagenavi_options['first_text'] = __('First Page',"snowblind");
	$pagenavi_options['last_text'] = __('Last Page',"snowblind");
	$pagenavi_options['next_text'] = '&raquo;';
	$pagenavi_options['prev_text'] = '&laquo;';
	$pagenavi_options['dotright_text'] = '...';
	$pagenavi_options['dotleft_text'] = '...';
	$pagenavi_options['num_pages'] = 5;
	$pagenavi_options['always_show'] = 0;
	$pagenavi_options['num_larger_page_numbers'] = 0;
	$pagenavi_options['larger_page_numbers_multiple'] = 5;
	if (!is_single()) {
		$request = $wp_query->request;
		$posts_per_page = intval(get_query_var('posts_per_page'));
		$paged = intval(get_query_var('paged'));
		$numposts = $wp_query->found_posts;
		$max_page = $wp_query->max_num_pages;
		if(empty($paged) || $paged == 0) {
			$paged = 1;
		}
		$pages_to_show = intval($pagenavi_options['num_pages']);
		$larger_page_to_show = intval($pagenavi_options['num_larger_page_numbers']);
		$larger_page_multiple = intval($pagenavi_options['larger_page_numbers_multiple']);
		$pages_to_show_minus_1 = $pages_to_show - 1;
		$half_page_start = floor($pages_to_show_minus_1/2);
		$half_page_end = ceil($pages_to_show_minus_1/2);
		$start_page = $paged - $half_page_start;
		if($start_page <= 0) {
			$start_page = 1;
		}
		$end_page = $paged + $half_page_end;
		if(($end_page - $start_page) != $pages_to_show_minus_1) {
			$end_page = $start_page + $pages_to_show_minus_1;
		}
		if($end_page > $max_page) {
			$start_page = $max_page - $pages_to_show_minus_1;
			$end_page = $max_page;
		}
		if($start_page <= 0) {
			$start_page = 1;
		}
		$larger_per_page = $larger_page_to_show*$larger_page_multiple;
		$larger_start_page_start = (n_round($start_page, 10) + $larger_page_multiple) - $larger_per_page;
		$larger_start_page_end = n_round($start_page, 10) + $larger_page_multiple;
		$larger_end_page_start = n_round($end_page, 10) + $larger_page_multiple;
		$larger_end_page_end = n_round($end_page, 10) + ($larger_per_page);
		if($larger_start_page_end - $larger_page_multiple == $start_page) {
			$larger_start_page_start = $larger_start_page_start - $larger_page_multiple;
			$larger_start_page_end = $larger_start_page_end - $larger_page_multiple;
		}
		if($larger_start_page_start <= 0) {
			$larger_start_page_start = $larger_page_multiple;
		}
		if($larger_start_page_end > $max_page) {
			$larger_start_page_end = $max_page;
		}
		if($larger_end_page_end > $max_page) {
			$larger_end_page_end = $max_page;
		}
		if($max_page > 1 || intval($pagenavi_options['always_show']) == 1) {
			$pages_text = str_replace("%CURRENT_PAGE%", number_format_i18n($paged), $pagenavi_options['pages_text']);
			$pages_text = str_replace("%TOTAL_PAGES%", number_format_i18n($max_page), $pages_text);
			echo $before.'<div class="pagination">'."\n";
			if(!empty($pages_text)) {
				echo '<span class="pages">'.$pages_text.'</span>';
			}
			previous_posts_link($pagenavi_options['prev_text']);
			if ($start_page >= 2 && $pages_to_show < $max_page) {
				$first_page_text = str_replace("%TOTAL_PAGES%", number_format_i18n($max_page), $pagenavi_options['first_text']);
				echo '<a href="'.esc_url(get_pagenum_link()).'" class="first" title="'.$first_page_text.'">1</a>';
				if(!empty($pagenavi_options['dotleft_text'])) {
					echo '<span class="extend">'.$pagenavi_options['dotleft_text'].'</span>';
				}
			}
			if($larger_page_to_show > 0 && $larger_start_page_start > 0 && $larger_start_page_end <= $max_page) {
				for($i = $larger_start_page_start; $i < $larger_start_page_end; $i+=$larger_page_multiple) {
					$page_text = str_replace("%PAGE_NUMBER%", number_format_i18n($i), $pagenavi_options['page_text']);
					echo '<a href="'.esc_url(get_pagenum_link($i)).'" class="page" title="'.$page_text.'">'.$page_text.'</a>';
				}
			}
			for($i = $start_page; $i  <= $end_page; $i++) {						
				if($i == $paged) {
					$current_page_text = str_replace("%PAGE_NUMBER%", number_format_i18n($i), $pagenavi_options['current_text']);
					echo '<span class="current">'.$current_page_text.'</span>';
				} else {
					$page_text = str_replace("%PAGE_NUMBER%", number_format_i18n($i), $pagenavi_options['page_text']);
					echo '<a href="'.esc_url(get_pagenum_link($i)).'" class="page" title="'.$page_text.'">'.$page_text.'</a>';
				}
			}
			if ($end_page < $max_page) {
				if(!empty($pagenavi_options['dotright_text'])) {
					echo '<span class="extend">'.$pagenavi_options['dotright_text'].'</span>';
				}
				$last_page_text = str_replace("%TOTAL_PAGES%", number_format_i18n($max_page), $pagenavi_options['last_text']);
				echo '<a href="'.esc_url(get_pagenum_link($max_page)).'" class="last" title="'.$last_page_text.'">'.$max_page.'</a>';
			}
			next_posts_link($pagenavi_options['next_text'], $max_page);
			if($larger_page_to_show > 0 && $larger_end_page_start < $max_page) {
				for($i = $larger_end_page_start; $i <= $larger_end_page_end; $i+=$larger_page_multiple) {
					$page_text = str_replace("%PAGE_NUMBER%", number_format_i18n($i), $pagenavi_options['page_text']);
					echo '<a href="'.esc_url(get_pagenum_link($i)).'" class="page" title="'.$page_text.'">'.$page_text.'</a>';
				}
					}

			echo '</div>'.$after."\n";
		}
	}
}

### Function: Round To The Nearest Value
function n_round($num, $tonearest) {
   return floor($num/$tonearest)*$tonearest;
}

// This theme uses wp_nav_menu()
if(function_exists('register_nav_menu')) {
	register_nav_menu('main', 'Main Navigation Menu');
}

function display_home() {
	echo '<div id="navigation"><ul><li><a href="'.get_bloginfo('url').'">Home</a></li>';
	wp_list_categories('title_li=&depth=1&number=5');
	echo '</ul></div>';
}

add_theme_support( 'automatic-feed-links' );

/* ADDING NEW THUMBNAIL STUFF */
if(!function_exists('pbt_AddThumbColumn') && function_exists('add_theme_support')) {
 	add_theme_support('post-thumbnails');
 
	function pbt_AddThumbColumn($cols) {
		$cols['thumbnail'] = __('Thumbnail', "snowblind");
		return $cols;
	}
 
	function pbt_AddThumbValue($column_name, $post_id) {
		$width = (int) 35;
		$height = (int) 35;

		if ( 'thumbnail' == $column_name ) {
			// thumbnail of WP 2.9
			$thumbnail_id = get_post_meta( $post_id, '_thumbnail_id', true );
			// image from gallery
			if ($thumbnail_id) {
				$thumb = wp_get_attachment_image( $thumbnail_id, array($width, $height), true );
			}
			if(isset($thumb) && $thumb) {
				echo $thumb;
			} else {
				echo __('None', "snowblind");
			}
		}
	}
 
	// for posts
	add_filter( 'manage_posts_columns', 'pbt_AddThumbColumn' );
	add_action( 'manage_posts_custom_column', 'pbt_AddThumbValue', 10, 2 );
 
	// for pages
	add_filter( 'manage_pages_columns', 'pbt_AddThumbColumn' );
	add_action( 'manage_pages_custom_column', 'pbt_AddThumbValue', 10, 2 );
}
?>